diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index dfd6569..e0998f2 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -128954,6 +128954,466 @@ RadicalEigenPackage() : C == T
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{package SOLVERAD RadicalSolvePackage}
+<<RadicalSolvePackage.input>>=
+)set break resume
+)sys rm -f RadicalSolvePackage.output
+)spool RadicalSolvePackage.output
+)set message test on
+)set message auto off
+)clear all
+ 
+--S 1 of 14
+b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13)
+--R 
+--R
+--R           3
+--R         3x  + 7
+--R   (1)  --------
+--R          2
+--R        5x  - 13
+--R                                            Type: Fraction Polynomial Integer
+--E 1
+
+--S 2 of 14
+radicalSolve(b,x)
+--R 
+--R
+--R   (2)
+--R       3+---+    3+---+ +---+ +-+   3+---+      3+---+ +---+ +-+   3+---+
+--R       \|- 7     \|- 7 \|- 1 \|3  - \|- 7     - \|- 7 \|- 1 \|3  - \|- 7
+--R   [x= ------,x= -------------------------,x= ---------------------------]
+--R        3+-+                3+-+                          3+-+
+--R        \|3                2\|3                          2\|3
+--R                                       Type: List Equation Expression Integer
+--E 2
+
+--S 3 of 14
+radicalSolve(b)
+--R 
+--R
+--R   (3)
+--R       3+---+    3+---+ +---+ +-+   3+---+      3+---+ +---+ +-+   3+---+
+--R       \|- 7     \|- 7 \|- 1 \|3  - \|- 7     - \|- 7 \|- 1 \|3  - \|- 7
+--R   [x= ------,x= -------------------------,x= ---------------------------]
+--R        3+-+                3+-+                          3+-+
+--R        \|3                2\|3                          2\|3
+--R                                       Type: List Equation Expression Integer
+--E 3
+
+--S 4 of 14
+radicalSolve(b=0,x)
+--R 
+--R
+--R   (4)
+--R       3+---+    3+---+ +---+ +-+   3+---+      3+---+ +---+ +-+   3+---+
+--R       \|- 7     \|- 7 \|- 1 \|3  - \|- 7     - \|- 7 \|- 1 \|3  - \|- 7
+--R   [x= ------,x= -------------------------,x= ---------------------------]
+--R        3+-+                3+-+                          3+-+
+--R        \|3                2\|3                          2\|3
+--R                                       Type: List Equation Expression Integer
+--E 4
+
+--S 5 of 14
+radicalSolve(b=0)
+--R 
+--R
+--R   (5)
+--R       3+---+    3+---+ +---+ +-+   3+---+      3+---+ +---+ +-+   3+---+
+--R       \|- 7     \|- 7 \|- 1 \|3  - \|- 7     - \|- 7 \|- 1 \|3  - \|- 7
+--R   [x= ------,x= -------------------------,x= ---------------------------]
+--R        3+-+                3+-+                          3+-+
+--R        \|3                2\|3                          2\|3
+--R                                       Type: List Equation Expression Integer
+--E 5
+
+--S 6 of 14
+radicalRoots(b,x)
+--R 
+--R
+--R         3+---+ 3+---+ +---+ +-+   3+---+   3+---+ +---+ +-+   3+---+
+--R         \|- 7  \|- 7 \|- 1 \|3  - \|- 7  - \|- 7 \|- 1 \|3  - \|- 7
+--R   (6)  [------,-------------------------,---------------------------]
+--R          3+-+             3+-+                       3+-+
+--R          \|3             2\|3                       2\|3
+--R                                                Type: List Expression Integer
+--E 6
+
+--S 7 of 14
+contractSolve(b=0,x)
+--R 
+--R
+--R                 +---+ +-+     3+--+     +---+ +-+     3+--+
+--R         3+--+ (\|- 1 \|3  - 1)\|%A  (- \|- 1 \|3  - 1)\|%A            7
+--R   (7)  [\|%A ,---------------------,-----------------------] | [%A= - -]
+--R                         2                      2                      3
+--R     Type: SuchThat(List Expression Integer,List Equation Expression Integer)
+--E 7
+
+--S 8 of 14
+contractSolve(b,x)
+--R 
+--R
+--R                 +---+ +-+     3+--+     +---+ +-+     3+--+
+--R         3+--+ (\|- 1 \|3  - 1)\|%B  (- \|- 1 \|3  - 1)\|%B            7
+--R   (8)  [\|%B ,---------------------,-----------------------] | [%B= - -]
+--R                         2                      2                      3
+--R     Type: SuchThat(List Expression Integer,List Equation Expression Integer)
+--E 8
+
+--S 9 of 14
+c:Fraction(Polynomial(Integer)):=(y^2+4)/(y+1)
+--R 
+--R
+--R         2
+--R        y  + 4
+--R   (9)  ------
+--R         y + 1
+--R                                            Type: Fraction Polynomial Integer
+--E 9
+
+--S 10 of 14
+radicalSolve([b,c],[x,y])
+--R 
+--R
+--R   (10)
+--R          3+---+ +---+ +-+   3+---+
+--R        - \|- 7 \|- 1 \|3  - \|- 7         +---+
+--R   [[x= ---------------------------,y= - 2\|- 1 ],
+--R                    3+-+
+--R                   2\|3
+--R        3+---+ +---+ +-+   3+---+                    3+---+
+--R        \|- 7 \|- 1 \|3  - \|- 7         +---+       \|- 7         +---+
+--R    [x= -------------------------,y= - 2\|- 1 ], [x= ------,y= - 2\|- 1 ],
+--R                   3+-+                               3+-+
+--R                  2\|3                                \|3
+--R          3+---+ +---+ +-+   3+---+
+--R        - \|- 7 \|- 1 \|3  - \|- 7       +---+
+--R    [x= ---------------------------,y= 2\|- 1 ],
+--R                    3+-+
+--R                   2\|3
+--R        3+---+ +---+ +-+   3+---+                  3+---+
+--R        \|- 7 \|- 1 \|3  - \|- 7       +---+       \|- 7       +---+
+--R    [x= -------------------------,y= 2\|- 1 ], [x= ------,y= 2\|- 1 ]]
+--R                   3+-+                             3+-+
+--R                  2\|3                              \|3
+--R                                  Type: List List Equation Expression Integer
+--E 10
+
+--S 11 of 14
+radicalSolve([b,c])
+--R 
+--R
+--R   (11)
+--R          3+---+ +---+ +-+   3+---+
+--R        - \|- 7 \|- 1 \|3  - \|- 7         +---+
+--R   [[x= ---------------------------,y= - 2\|- 1 ],
+--R                    3+-+
+--R                   2\|3
+--R        3+---+ +---+ +-+   3+---+                    3+---+
+--R        \|- 7 \|- 1 \|3  - \|- 7         +---+       \|- 7         +---+
+--R    [x= -------------------------,y= - 2\|- 1 ], [x= ------,y= - 2\|- 1 ],
+--R                   3+-+                               3+-+
+--R                  2\|3                                \|3
+--R          3+---+ +---+ +-+   3+---+
+--R        - \|- 7 \|- 1 \|3  - \|- 7       +---+
+--R    [x= ---------------------------,y= 2\|- 1 ],
+--R                    3+-+
+--R                   2\|3
+--R        3+---+ +---+ +-+   3+---+                  3+---+
+--R        \|- 7 \|- 1 \|3  - \|- 7       +---+       \|- 7       +---+
+--R    [x= -------------------------,y= 2\|- 1 ], [x= ------,y= 2\|- 1 ]]
+--R                   3+-+                             3+-+
+--R                  2\|3                              \|3
+--R                                  Type: List List Equation Expression Integer
+--E 11
+
+--S 12 of 14
+radicalSolve([b=0,c=0],[x,y])
+--R 
+--R
+--R   (12)
+--R          3+---+ +---+ +-+   3+---+
+--R        - \|- 7 \|- 1 \|3  - \|- 7         +---+
+--R   [[x= ---------------------------,y= - 2\|- 1 ],
+--R                    3+-+
+--R                   2\|3
+--R        3+---+ +---+ +-+   3+---+                    3+---+
+--R        \|- 7 \|- 1 \|3  - \|- 7         +---+       \|- 7         +---+
+--R    [x= -------------------------,y= - 2\|- 1 ], [x= ------,y= - 2\|- 1 ],
+--R                   3+-+                               3+-+
+--R                  2\|3                                \|3
+--R          3+---+ +---+ +-+   3+---+
+--R        - \|- 7 \|- 1 \|3  - \|- 7       +---+
+--R    [x= ---------------------------,y= 2\|- 1 ],
+--R                    3+-+
+--R                   2\|3
+--R        3+---+ +---+ +-+   3+---+                  3+---+
+--R        \|- 7 \|- 1 \|3  - \|- 7       +---+       \|- 7       +---+
+--R    [x= -------------------------,y= 2\|- 1 ], [x= ------,y= 2\|- 1 ]]
+--R                   3+-+                             3+-+
+--R                  2\|3                              \|3
+--R                                  Type: List List Equation Expression Integer
+--E 12
+
+--S 13 of 14
+radicalSolve([b=0,c=0])
+--R 
+--R
+--R   (13)
+--R          3+---+ +---+ +-+   3+---+
+--R        - \|- 7 \|- 1 \|3  - \|- 7         +---+
+--R   [[x= ---------------------------,y= - 2\|- 1 ],
+--R                    3+-+
+--R                   2\|3
+--R        3+---+ +---+ +-+   3+---+                    3+---+
+--R        \|- 7 \|- 1 \|3  - \|- 7         +---+       \|- 7         +---+
+--R    [x= -------------------------,y= - 2\|- 1 ], [x= ------,y= - 2\|- 1 ],
+--R                   3+-+                               3+-+
+--R                  2\|3                                \|3
+--R          3+---+ +---+ +-+   3+---+
+--R        - \|- 7 \|- 1 \|3  - \|- 7       +---+
+--R    [x= ---------------------------,y= 2\|- 1 ],
+--R                    3+-+
+--R                   2\|3
+--R        3+---+ +---+ +-+   3+---+                  3+---+
+--R        \|- 7 \|- 1 \|3  - \|- 7       +---+       \|- 7       +---+
+--R    [x= -------------------------,y= 2\|- 1 ], [x= ------,y= 2\|- 1 ]]
+--R                   3+-+                             3+-+
+--R                  2\|3                              \|3
+--R                                  Type: List List Equation Expression Integer
+--E 13
+
+--S 14 of 14
+radicalRoots([b,c],[x,y])
+--R 
+--R
+--R   (14)
+--R       3+---+ +---+ +-+   3+---+
+--R     - \|- 7 \|- 1 \|3  - \|- 7      +---+
+--R   [[---------------------------,- 2\|- 1 ],
+--R                 3+-+
+--R                2\|3
+--R     3+---+ +---+ +-+   3+---+              3+---+
+--R     \|- 7 \|- 1 \|3  - \|- 7      +---+    \|- 7      +---+
+--R    [-------------------------,- 2\|- 1 ], [------,- 2\|- 1 ],
+--R                3+-+                         3+-+
+--R               2\|3                          \|3
+--R       3+---+ +---+ +-+   3+---+            3+---+ +---+ +-+   3+---+
+--R     - \|- 7 \|- 1 \|3  - \|- 7    +---+    \|- 7 \|- 1 \|3  - \|- 7    +---+
+--R    [---------------------------,2\|- 1 ], [-------------------------,2\|- 1 ],
+--R                 3+-+                                  3+-+
+--R                2\|3                                  2\|3
+--R     3+---+
+--R     \|- 7    +---+
+--R    [------,2\|- 1 ]]
+--R      3+-+
+--R      \|3
+--R                                           Type: List List Expression Integer
+--E 14
+
+)spool
+
+@
+<<RadicalSolvePackage.help>>=
+====================================================================
+RadicalSolvePackage examples
+====================================================================
+
+b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13)
+           3
+         3x  + 7
+        --------
+          2
+        5x  - 13
+
+
+radicalSolve(b,x)
+       3+---+    3+---+ +---+ +-+   3+---+      3+---+ +---+ +-+   3+---+
+       \|- 7     \|- 7 \|- 1 \|3  - \|- 7     - \|- 7 \|- 1 \|3  - \|- 7
+   [x= ------,x= -------------------------,x= ---------------------------]
+        3+-+                3+-+                          3+-+
+        \|3                2\|3                          2\|3
+
+
+radicalSolve(b)
+       3+---+    3+---+ +---+ +-+   3+---+      3+---+ +---+ +-+   3+---+
+       \|- 7     \|- 7 \|- 1 \|3  - \|- 7     - \|- 7 \|- 1 \|3  - \|- 7
+   [x= ------,x= -------------------------,x= ---------------------------]
+        3+-+                3+-+                          3+-+
+        \|3                2\|3                          2\|3
+
+
+radicalSolve(b=0,x)
+       3+---+    3+---+ +---+ +-+   3+---+      3+---+ +---+ +-+   3+---+
+       \|- 7     \|- 7 \|- 1 \|3  - \|- 7     - \|- 7 \|- 1 \|3  - \|- 7
+   [x= ------,x= -------------------------,x= ---------------------------]
+        3+-+                3+-+                          3+-+
+        \|3                2\|3                          2\|3
+
+
+radicalSolve(b=0)
+       3+---+    3+---+ +---+ +-+   3+---+      3+---+ +---+ +-+   3+---+
+       \|- 7     \|- 7 \|- 1 \|3  - \|- 7     - \|- 7 \|- 1 \|3  - \|- 7
+   [x= ------,x= -------------------------,x= ---------------------------]
+        3+-+                3+-+                          3+-+
+        \|3                2\|3                          2\|3
+
+
+radicalRoots(b,x)
+         3+---+ 3+---+ +---+ +-+   3+---+   3+---+ +---+ +-+   3+---+
+         \|- 7  \|- 7 \|- 1 \|3  - \|- 7  - \|- 7 \|- 1 \|3  - \|- 7
+        [------,-------------------------,---------------------------]
+          3+-+             3+-+                       3+-+
+          \|3             2\|3                       2\|3
+
+
+contractSolve(b=0,x)
+                 +---+ +-+     3+--+     +---+ +-+     3+--+
+         3+--+ (\|- 1 \|3  - 1)\|%A  (- \|- 1 \|3  - 1)\|%A            7
+        [\|%A ,---------------------,-----------------------] | [%A= - -]
+                         2                      2                      3
+
+
+contractSolve(b,x)
+                 +---+ +-+     3+--+     +---+ +-+     3+--+
+         3+--+ (\|- 1 \|3  - 1)\|%B  (- \|- 1 \|3  - 1)\|%B            7
+        [\|%B ,---------------------,-----------------------] | [%B= - -]
+                         2                      2                      3
+
+
+
+
+c:Fraction(Polynomial(Integer)):=(y^2+4)/(y+1)
+         2
+        y  + 4
+        ------
+         y + 1
+
+
+radicalSolve([b,c],[x,y])
+          3+---+ +---+ +-+   3+---+
+        - \|- 7 \|- 1 \|3  - \|- 7         +---+
+   [[x= ---------------------------,y= - 2\|- 1 ],
+                    3+-+
+                   2\|3
+        3+---+ +---+ +-+   3+---+                    3+---+
+        \|- 7 \|- 1 \|3  - \|- 7         +---+       \|- 7         +---+
+    [x= -------------------------,y= - 2\|- 1 ], [x= ------,y= - 2\|- 1 ],
+                   3+-+                               3+-+
+                  2\|3                                \|3
+          3+---+ +---+ +-+   3+---+
+        - \|- 7 \|- 1 \|3  - \|- 7       +---+
+    [x= ---------------------------,y= 2\|- 1 ],
+                    3+-+
+                   2\|3
+        3+---+ +---+ +-+   3+---+                  3+---+
+        \|- 7 \|- 1 \|3  - \|- 7       +---+       \|- 7       +---+
+    [x= -------------------------,y= 2\|- 1 ], [x= ------,y= 2\|- 1 ]]
+                   3+-+                             3+-+
+                  2\|3                              \|3
+
+
+
+radicalSolve([b,c])
+          3+---+ +---+ +-+   3+---+
+        - \|- 7 \|- 1 \|3  - \|- 7         +---+
+   [[x= ---------------------------,y= - 2\|- 1 ],
+                    3+-+
+                   2\|3
+        3+---+ +---+ +-+   3+---+                    3+---+
+        \|- 7 \|- 1 \|3  - \|- 7         +---+       \|- 7         +---+
+    [x= -------------------------,y= - 2\|- 1 ], [x= ------,y= - 2\|- 1 ],
+                   3+-+                               3+-+
+                  2\|3                                \|3
+          3+---+ +---+ +-+   3+---+
+        - \|- 7 \|- 1 \|3  - \|- 7       +---+
+    [x= ---------------------------,y= 2\|- 1 ],
+                    3+-+
+                   2\|3
+        3+---+ +---+ +-+   3+---+                  3+---+
+        \|- 7 \|- 1 \|3  - \|- 7       +---+       \|- 7       +---+
+    [x= -------------------------,y= 2\|- 1 ], [x= ------,y= 2\|- 1 ]]
+                   3+-+                             3+-+
+                  2\|3                              \|3
+
+
+
+radicalSolve([b=0,c=0],[x,y])
+          3+---+ +---+ +-+   3+---+
+        - \|- 7 \|- 1 \|3  - \|- 7         +---+
+   [[x= ---------------------------,y= - 2\|- 1 ],
+                    3+-+
+                   2\|3
+        3+---+ +---+ +-+   3+---+                    3+---+
+        \|- 7 \|- 1 \|3  - \|- 7         +---+       \|- 7         +---+
+    [x= -------------------------,y= - 2\|- 1 ], [x= ------,y= - 2\|- 1 ],
+                   3+-+                               3+-+
+                  2\|3                                \|3
+          3+---+ +---+ +-+   3+---+
+        - \|- 7 \|- 1 \|3  - \|- 7       +---+
+    [x= ---------------------------,y= 2\|- 1 ],
+                    3+-+
+                   2\|3
+        3+---+ +---+ +-+   3+---+                  3+---+
+        \|- 7 \|- 1 \|3  - \|- 7       +---+       \|- 7       +---+
+    [x= -------------------------,y= 2\|- 1 ], [x= ------,y= 2\|- 1 ]]
+                   3+-+                             3+-+
+                  2\|3                              \|3
+
+
+
+radicalSolve([b=0,c=0])
+          3+---+ +---+ +-+   3+---+
+        - \|- 7 \|- 1 \|3  - \|- 7         +---+
+   [[x= ---------------------------,y= - 2\|- 1 ],
+                    3+-+
+                   2\|3
+        3+---+ +---+ +-+   3+---+                    3+---+
+        \|- 7 \|- 1 \|3  - \|- 7         +---+       \|- 7         +---+
+    [x= -------------------------,y= - 2\|- 1 ], [x= ------,y= - 2\|- 1 ],
+                   3+-+                               3+-+
+                  2\|3                                \|3
+          3+---+ +---+ +-+   3+---+
+        - \|- 7 \|- 1 \|3  - \|- 7       +---+
+    [x= ---------------------------,y= 2\|- 1 ],
+                    3+-+
+                   2\|3
+        3+---+ +---+ +-+   3+---+                  3+---+
+        \|- 7 \|- 1 \|3  - \|- 7       +---+       \|- 7       +---+
+    [x= -------------------------,y= 2\|- 1 ], [x= ------,y= 2\|- 1 ]]
+                   3+-+                             3+-+
+                  2\|3                              \|3
+
+
+
+radicalRoots([b,c],[x,y])
+       3+---+ +---+ +-+   3+---+
+     - \|- 7 \|- 1 \|3  - \|- 7      +---+
+   [[---------------------------,- 2\|- 1 ],
+                 3+-+
+                2\|3
+     3+---+ +---+ +-+   3+---+              3+---+
+     \|- 7 \|- 1 \|3  - \|- 7      +---+    \|- 7      +---+
+    [-------------------------,- 2\|- 1 ], [------,- 2\|- 1 ],
+                3+-+                         3+-+
+               2\|3                          \|3
+       3+---+ +---+ +-+   3+---+            3+---+ +---+ +-+   3+---+
+     - \|- 7 \|- 1 \|3  - \|- 7    +---+    \|- 7 \|- 1 \|3  - \|- 7    +---+
+    [---------------------------,2\|- 1 ], [-------------------------,2\|- 1 ],
+                 3+-+                                  3+-+
+                2\|3                                  2\|3
+     3+---+
+     \|- 7    +---+
+    [------,2\|- 1 ]]
+      3+-+
+      \|3
+ 
+
+See Also:
+o )show RadicalSolvePackage
+o )show RealSolvePackage
+
+@
 \pagehead{RadicalSolvePackage}{SOLVERAD}
 \pagepic{ps/v104radicalsolvepackage.ps}{SOLVERAD}{1.00}
 
@@ -129008,54 +129468,95 @@ RadicalSolvePackage(R): Cat == Capsule where
           ++ radicalSolve(rf,x) finds the solutions expressed in terms of
           ++ radicals of the equation rf = 0 with respect to the symbol x,
           ++ where rf is a rational function.
+          ++
+          ++X b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13)
+          ++X radicalSolve(b,x)
         radicalSolve :       RF         -> L EQ RE
           ++ radicalSolve(rf) finds the solutions expressed in terms of
           ++ radicals of the equation rf = 0, where rf is a
           ++ univariate rational function.
+          ++
+          ++X b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13)
+          ++X radicalSolve(b)
         radicalSolve :    (EQ RF,SY)    -> L EQ RE
           ++ radicalSolve(eq,x) finds the solutions expressed in terms of
           ++ radicals of the equation of rational functions eq
           ++ with respect to the symbol x.
+          ++
+          ++X b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13)
+          ++X radicalSolve(b=0,x)
         radicalSolve :      EQ RF       -> L EQ RE
           ++ radicalSolve(eq) finds the solutions expressed in terms of
           ++ radicals of the equation of rational functions eq
           ++ with respect to the unique symbol x appearing in eq.
+          ++
+          ++X b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13)
+          ++X radicalSolve(b=0)
         radicalSolve :    (L RF,L SY)   -> L L EQ RE
           ++ radicalSolve(lrf,lvar) finds the solutions expressed in terms of
           ++ radicals of the system of equations lrf = 0 with
           ++ respect to the list of symbols lvar,
           ++ where lrf is a list of rational functions.
+          ++
+          ++X b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13)
+          ++X c:Fraction(Polynomial(Integer)):=(y^2+4)/(y+1)
+          ++X radicalSolve([b,c],[x,y])
         radicalSolve :       L RF       -> L L EQ RE
           ++ radicalSolve(lrf) finds the solutions expressed in terms of
           ++ radicals of the system of equations lrf = 0, where lrf is a
           ++ system of univariate rational functions.
+          ++
+          ++X b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13)
+          ++X c:Fraction(Polynomial(Integer)):=(y^2+4)/(y+1)
+          ++X radicalSolve([b,c])
         radicalSolve :   (L EQ RF,L SY) -> L L EQ RE
           ++ radicalSolve(leq,lvar) finds the solutions expressed in terms of
           ++ radicals of the system of equations of rational functions leq
           ++ with respect to the list of symbols lvar.
+          ++
+          ++X b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13)
+          ++X c:Fraction(Polynomial(Integer)):=(y^2+4)/(y+1)
+          ++X radicalSolve([b=0,c=0],[x,y])
         radicalSolve :     L EQ RF      -> L L EQ RE
           ++ radicalSolve(leq) finds the solutions expressed in terms of
           ++ radicals of the system of equations of rational functions leq
           ++ with respect to the unique symbol x appearing in leq.
+          ++
+          ++X b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13)
+          ++X c:Fraction(Polynomial(Integer)):=(y^2+4)/(y+1)
+          ++X radicalSolve([b=0,c=0])
         radicalRoots :      (RF,SY)     -> L RE
           ++ radicalRoots(rf,x) finds the roots expressed in terms of radicals
           ++ of the rational function rf with respect to the symbol x.
+          ++
+          ++X b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13)
+          ++X radicalRoots(b,x)
         radicalRoots :    (L RF,L SY)   -> L L RE
           ++ radicalRoots(lrf,lvar) finds the roots expressed in terms of
           ++ radicals of the list of rational functions lrf
           ++ with respect to the list of symbols lvar.
+          ++
+          ++X b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13)
+          ++X c:Fraction(Polynomial(Integer)):=(y^2+4)/(y+1)
+          ++X radicalRoots([b,c],[x,y])
         contractSolve:    (EQ RF,SY)  -> SU
           ++ contractSolve(eq,x) finds the solutions expressed in terms of
           ++ radicals of the equation of rational functions eq
           ++ with respect to the symbol x.  The result contains new
           ++ symbols for common subexpressions in order to reduce the
           ++ size of the output.
+          ++
+          ++X b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13)
+          ++X contractSolve(b=0,x)
         contractSolve:    (RF,SY)     -> SU
           ++ contractSolve(rf,x) finds the solutions expressed in terms of
           ++ radicals of the equation rf = 0 with respect to the symbol x,
           ++ where rf is a rational function. The result contains  new
           ++ symbols for common subexpressions in order to reduce the
           ++ size of the output.
+          ++
+          ++X b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13)
+          ++X contractSolve(b,x)
     Capsule ==> add
         import DegreeReductionPackage(PR, R)
         import SOLVEFOR
@@ -129103,7 +129604,8 @@ RadicalSolvePackage(R): Cat == Capsule where
          rlv:=rest rlv
          res:L L RE:=[]
          res:=append([reverse cons(r,[eval(
-           (-coefficient(univariate(p,vv),0)::RE)/(leadingCoefficient univariate(p,vv))::RE,
+           (-coefficient(univariate(p,vv),0)::RE)/
+            (leadingCoefficient univariate(p,vv))::RE,
               kernel(v)@Kernel(RE),r) for vv in rlv for p in rlp.rest])
                 for r in radicalRoots(pp::RF,v)],res)
          res
diff --git a/changelog b/changelog
index a75e6aa..e9f42b2 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20091031 tpd src/axiom-website/patches.html 20091031.03.tpd.patch
+20091031 tpd src/algebra/Makefile add RadicalSolvePackage.help
+20091031 tpd books/bookvol10.4 RadicalSolvePackage input, help, examples
 20091031 tpd src/axiom-website/patches.html 20091031.02.tpd.patch
 20091031 tpd src/algebra/Makefile add AlgebraicallyClosedField.help
 20091031 tpd books/bookvol10.2 AlgebraicallyClosedField input, help, examples
diff --git a/src/algebra/Makefile.pamphlet b/src/algebra/Makefile.pamphlet
index 342297f..3dae6d4 100644
--- a/src/algebra/Makefile.pamphlet
+++ b/src/algebra/Makefile.pamphlet
@@ -16547,6 +16547,7 @@ SPADHELP=\
  ${HELP}/Quaternion.help \
  ${HELP}/QuaternionCategoryFunctions2.help \
  ${HELP}/Queue.help \
+ ${HELP}/RadicalSolvePackage.help \
  ${HELP}/RadixExpansion.help \
  ${HELP}/RealClosure.help \
  ${HELP}/RealSolvePackage.help \
@@ -16679,6 +16680,7 @@ REGRESS= \
  Quaternion.regress \
  QuaternionCategoryFunctions2.regress \
  Queue.regress \
+ RadicalSolvePackage.regress \
  RadixExpansion.regress \
  RealClosure.regress \
  RealSolvePackage.regress \
@@ -17780,6 +17782,18 @@ ${HELP}/Queue.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/Queue.input
 	@echo "Queue (QUEUE)" >>${HELPFILE}
 
+${HELP}/RadicalSolvePackage.help: ${BOOKS}/bookvol10.4.pamphlet
+	@echo 7955 create RadicalSolvePackage.help from \
+           ${BOOKS}/bookvol10.4.pamphlet
+	@${TANGLE} -R"RadicalSolvePackage.help" \
+           ${BOOKS}/bookvol10.4.pamphlet \
+           >${HELP}/RadicalSolvePackage.help
+	@cp ${HELP}/RadicalSolvePackage.help ${HELP}/SOLVERAD.help
+	@${TANGLE} -R"RadicalSolvePackage.input" \
+            ${BOOKS}/bookvol10.4.pamphlet \
+            >${INPUT}/RadicalSolvePackage.input
+	@echo "RadicalSolvePackage (SOLVERAD)" >>${HELPFILE}
+
 ${HELP}/RadixExpansion.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7960 create RadixExpansion.help from \
            ${BOOKS}/bookvol10.3.pamphlet
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 9b48286..456c7f9 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2211,5 +2211,7 @@ books/bookvol10.3 more PartialFraction documentation<br/>
 src/interp,algebra/Makefiles move help.help built to algebra<br/>
 <a href="patches/20091031.02.tpd.patch">20091031.02.tpd.patch</a>
 books/bookvol10.2 AlgebraicallyClosedField input, help, examples<br/>
+<a href="patches/20091031.03.tpd.patch">20091031.03.tpd.patch</a>
+books/bookvol10.4 RadicalSolvePackage input, help, examples<br/>
  </body>
 </html>
